%global modname moksha.wsgi

Name:           python-moksha-wsgi
Version:        1.2.1
Release:        2%{?dist}
Summary:        WSGI components for Moksha

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/moksha.wsgi
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python-nose
BuildRequires:  python-webtest
BuildRequires:  python-bunch

BuildRequires:  python-moksha-common >= 1.0.6
BuildRequires:  python-tw2-core
BuildRequires:  python-tw2-forms
BuildRequires:  python-tw2-jquery
BuildRequires:  python-tw2-jqplugins-ui
BuildRequires:  python-tw2-jqplugins-flot
BuildRequires:  python-tw2-jqplugins-gritter
BuildRequires:  python-tw2-jit
BuildRequires:  python-tw2-excanvas
BuildRequires:  python-paste
BuildRequires:  python-repoze-what
BuildRequires:  python-pygments
BuildRequires:  python-shove
BuildRequires:  python-feedcache
BuildRequires:  python-feedparser

Requires:       python-moksha-common >= 1.0.6
Requires:       python-tw2-core
Requires:       python-tw2-forms
Requires:       python-tw2-jquery
Requires:       python-tw2-jqplugins-ui
Requires:       python-tw2-jqplugins-flot
Requires:       python-tw2-jqplugins-gritter
Requires:       python-tw2-jit
Requires:       python-tw2-excanvas
Requires:       python-paste
Requires:       python-repoze-what
Requires:       python-pygments
Requires:       python-shove
Requires:       python-feedcache
Requires:       python-feedparser

# Its a whole different package now
Conflicts:      moksha < 1.0.0

%description
WSGI components for Moksha.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
# One of the tests is failing oddly in the rpm context but passes when run by
# hand.  This test is disabled until we can figure that out.
#%%{__python} setup.py test

%files
%doc README AUTHORS COPYING
%{python_sitelib}/moksha/wsgi/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Ralph Bean <rbean@redhat.com> - 1.2.1-1
- Better websocket callback defaults.
- Configurable websocket scheme/protocol.

* Tue Mar 26 2013 Ralph Bean <rbean@redhat.com> - 1.2.0-1
- Latest upstream with some cleaning and reorganization.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Ralph Bean <rbean@redhat.com> - 1.0.6-1
- Upstream bump to simplify dependencies.

* Fri Sep 28 2012 Ralph Bean <rbean@redhat.com> - 1.0.5-1
- Upstream bump to hopefully fix issue with moksha.extensions.js.

* Wed Sep 26 2012 Ralph Bean <rbean@redhat.com> - 1.0.4-1
- Fix bug that broke tw2 resource archival.

* Wed Sep 19 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-2
- Added conflicts against old moksha

* Thu Sep 13 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-1
- New upstream release includes forgotten templates and static resources.

* Wed Sep 12 2012 Ralph Bean <rbean@redhat.com> - 1.0.2-2
- Removed chmod of sizzle.js.

* Wed Sep 12 2012 Ralph Bean <rbean@redhat.com> - 1.0.2-1
- Miscellaneous upstream bugfixes.
- Require latest python-moksha-common.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-3
- Use optflags instead of RPM_OPT_FLAGS to be consistent.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-2
- Added RPM_OPT_FLAGS to build section.

* Tue Sep 04 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial package for Fedora and fork from moksha core.
